module Chervil::AST
  class Identifier
    attr_reader :name

    def initialize(name)
      @name = name
    end

    def ==(other)
      @name == other.name
    end

    def evaluate(env)
      env.get(@name)
    end
  end
end
